<VirtualHost *:441>
	ServerName sean.try.coach
	ServerAlias sean au.sean.try.coach us.sean.try.coach
	DocumentRoot "/www/sean"
	ServerAdmin sam@try.coach
	ErrorLog logs/sean-error_log
	CustomLog logs/sean-access_log combined
	ScriptAlias /x/ /www/sean/x/
	ScriptAlias /a/ /www/sean/a/
	AddHandler cgi-script .cgi
	<Directory "/www/sean">
		Options +Indexes
		Options +FollowSymLinks -SymLinksIfOwnerMatch
		Require all granted
		AllowOverride All
	</Directory>
	<Directory "/www/sean/x">
		AllowOverride None
		Options +ExecCGI -MultiViews
		Options +FollowSymLinks -SymLinksIfOwnerMatch
		Require all granted
	</Directory>
	<Directory "/www/sean/a">
		AllowOverride None
		Options +ExecCGI -MultiViews
		Options +FollowSymLinks -SymLinksIfOwnerMatch
		AuthName "Admin Only"
		AuthType Basic
		AuthUserFile /www/sean/.htpasswd
		Require valid-user
	</Directory>
	<Directory "/www/sean/logout">
		AllowOverride None
		authname "Admin Only"
		authtype basic
		authuserfile /www/sean/logout/.htpasswd
		require valid-user
	</Directory>
	<Directory "/www/sean/log">
		Options +FollowSymLinks -SymLinksIfOwnerMatch
		AllowOverride None
		AuthName "Admin Only"
		AuthType Basic
		AuthUserFile /www/sean/.htpasswd
		Require valid-user
	</Directory>
	AddDefaultCharset utf-8
	RewriteEngine on
#	RewriteRule ^/example$ https://example.com/ [L]
	SSLCertificateFile /etc/letsencrypt/live/try.coach/fullchain.pem
	SSLCertificateKeyFile /etc/letsencrypt/live/try.coach/privkey.pem
	Include /etc/letsencrypt/options-ssl-apache.conf
</VirtualHost>
<VirtualHost *:80>
	ServerName sean.try.coach
	ServerAlias sean au.sean.try.coach us.sean.try.coach
	DocumentRoot "/www/sean"
	ServerAdmin sam@try.coach
	ErrorLog logs/sean-error_log
	CustomLog logs/sean-access_log combined
	RewriteEngine on
	RewriteRule (.*) https://%{HTTP_HOST}%{REQUEST_URI} [L]
</VirtualHost>
